createVendorApplication

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Changes have been made to the response

Please see the response below for additional details

Request

{
  "requestedAmount": 5000,
  "description": "Office equipment",
  "lessee": {
    "dbaName": "My DBA name",
    "legalName": "My legal name",
    "federalTaxId": "159753134",
    "naicIndustry": 51,
    "businessPurchaseDate": "2018-04-19",
    "stateOfIncorporation": "UT",
    "businessStructure": "Corporation",
    "bankABA": "159147789",
    "bankAccountNumber": "2132135",
    "address": "My address Line 1",
    "unit": "My address Line 2",
    "state": "UT",
    "city": "Park City",
    "zipCode": "10324",
    "phoneNumber": "1321156",
    "email": "[email protected]",
    "annualRevenue": 500,
    "website": "www.mysite.com",
    "owners": [
      {
        "firstName": "John",
        "middleName": "J.",
        "lastName": "Snow",
        "socialSecurityNumber": "147852369",
        "ownershipPercentage": 60,
        "birthDate": "2018-04-19",
        "driversLicenseNumber": "213215548",
        "driversLicenseState": "AL",
        "streetAddress": "my address line 1",
        "unit": "my address line 2",
        "state": "UT",
        "city": "Park City",
        "zipCode": "10342",
        "email": "[email protected]",
        "homePhoneNumber": "1316584486",
        "mobilePhoneNumber": "2134554568",
        "faxNumber": "1543213215",
        "workPhoneNumber": "1345245632",
        "primaryOwner": true,
        "homeRental": true
      }
    ]
  }
}

Response

🚧

Updates to our response

We will be updating our system over the coming months. In order to accommodate these changes, a few changes to the response have been made.

2 new properties have been added to identify applications

  • appId has been added as a new property
  • applicationKey has been added as a new property

We will eventually deprecate the following property

  • applicationId this is effectively being replaced by the appID and applicationKey properties
{
  "code": "200",
  "msg": "Records found",
  "object": {
    "applicationId": 100001,
    "appId": "ce5817", /*New Property*/
    "applicationKey": "41ca59b1-fadb-4dff-9531-7a7e94ce5817", /*New Property*/
    "requestAmount": 10000,
    "maxApproved": 15000,
    "nextPaymentDate": 1531281600000,
    "amountDueToday": 399,
    "status": "OFFERGENERATED",
    "offerList": [
      {
        "offerId": 31,
        "term": 36,
        "payment": 484.05,
        "residual": 1936.2,
        "useMaxApprovedAmount": true,
        "residualMultiplier": 4
      },
      {
        "offerId": 30,
        "term": 48,
        "payment": 380.4,
        "residual": 1902.0,
        "useMaxApprovedAmount": true,
        "residualMultiplier": 5
      },
      {
        "offerId": 29,
        "term": 60,
        "payment": 318.75,
        "residual": 1593.75,
        "useMaxApprovedAmount": true,
        "residualMultiplier": 5
      }
    ],
    "empty": false
  }
}
{
 "code": "200",
 "msg": "No offer available",
 "object": {
   "applicationId": 100864,
   "appId": "ce5817", /*New Property*/
   "applicationKey": "41ca59b1-fadb-4dff-9531-7a7e94ce5817", /*New Property*/
   "requestAmount": 5000,
   "maxApproved": null,
   "nextPaymentDate": null,
   "amountDueToday": null,
   "status": "REJECTED",
   "offerList": null,
   "empty": true
 }
}
Path Params
int64
required
Query Params
string
required

Token from the login request

Body Params
string
required
Responses

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*